<div>
  <div class="mb-3 card">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-charts icon-gradient bg-happy-green"> </i>
      Ticket 
    </div>
  </div>
  <div class="no-gutters row">
    <div class="col-sm-6 col-md-3 col-xl-3">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-primary" style="padding-left: 0.7em;padding-top: 0.8em;">
          <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total Ticket</div>
          <div class="widget-numbers">{{outsourcetotal.all}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-6 col-md-3 col-xl-3">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-danger" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total open</div>
          <div class="widget-numbers">{{outsourcetotal.doing}}</div>
        </div>
      </div>
      <div class="divider m-0 d-md-none d-sm-block"></div>
    </div>
    <div class="col-sm-12 col-md-3 col-xl-3">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-success" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total close</div>
          <div class="widget-numbers">{{outsourcetotal.free}}</div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 col-md-3 col-xl-3">
      <div class="card no-shadow rm-border bg-transparent widget-chart text-left">
        <div class="icon-wrapper rounded-circle">
          <div class="icon-wrapper-bg opacity-9 bg-info" style="padding-left: 0.7em;padding-top: 0.8em;">
            <i class="pe-7s-ticket text-white"> </i>
          </div>
        </div>
        <div class="widget-chart-content">
          <div class="widget-subheading">Total resolve</div>
          <div class="widget-numbers">{{outsourcetotal.resolve}}</div>
        </div>
      </div>
    </div>
  </div>
</div>
<br>

<!-- outsource all status -->
<div class="main-card mb-3 card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">{{company}} IT Outsource</div>
  </div>
  <div class="table-responsive">
    <table class="align-middle text-truncate mb-0 table table-borderless table-hover">
      <thead>
      <tr>
        <th class="text-center">ID</th>
        <th class="text-center">Name</th>
        <th class="text-center">Company</th>
        <th class="text-center">Status</th>
        <th class="text-center">Start Date</th>
        <th class="text-center">End Date</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let outsource of outsourceall">
        <td class="text-center text-muted" style="width: 80px;">{{outsource.id}}</td>
        <td class="text-center"><a [routerLink]="">{{outsource.name}}</a></td>
        <td class="text-center"><a [routerLink]="">{{outsource.company}}</a></td>
        <td class="text-center">
          <div *ngIf="outsource.status == 'onsite'" class="badge badge-pill badge-danger">{{outsource.status}}</div>
          <div *ngIf="outsource.status == 'available'" class="badge badge-pill badge-success">{{outsource.status}}</div>
        </td>
        <td class="text-center">
          <span class="pr-2 opacity-6">
              <i class="fa fa-business-time"></i>
          </span>
          {{outsource.create_date}}
        </td>
        <td class="text-center">
          <span class="pr-2 opacity-6">
              <i class="fa fa-business-time"></i>
          </span>
          {{outsource.due_date}}
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
</div>
